For the complete documentation index, see llms.txt. This page is also available as Markdown.

Roboflow Agent

Workflows와 Rapid 모델을 만들고, 실행하고, 디버깅하는 앱 내 Roboflow Agent와 그 HTTP 채팅 API입니다.

소개

Roboflow Agent는 귀하의 워크스페이스 그리고 생성, 편집, 실행, 디버그할 수 있습니다 워크플로. 또한 이를 사용하여 설정할 수도 있습니다 Rapid 모델. 워크스페이스의 왼쪽 사이드바에서 "Agent"를 클릭하여 에이전트에 액세스하세요.

기능

에이전트는 다음과 함께 작업할 수 있습니다:

백그라운드 작업

에이전트가 시작한 긴 작업은 채팅 중에도 계속 실행됩니다: 모델 학습, 자동 라벨링, 데이터세트 버전 생성, 프로젝트 병합, 클래스 재매핑, 분할 재조정, 배치 처리 작업. 채팅 상자 위의 배지가 실행 중인 작업 수를 표시합니다. 이를 클릭하거나 왼쪽 메뉴에서 "백그라운드 작업"을 클릭하면 "실행 중"과 "완료됨" 아래에 작업을 나열하는 패널이 열립니다. 작업을 클릭하면 생성된 페이지가 열립니다.

에이전트는 작업이 끝나면 탭을 닫았다가 나중에 다시 와도 채팅에서 알려줍니다. 대화 내부에서 시작된 작업만 여기에 표시됩니다. 앱의 다른 곳이나 API를 통해 시작한 학습은 여기에 표시되지 않으며, 대신 활동 센터에서 추적합니다.

HTTP API

Agent API를 사용하면 Roboflow AI 에이전트와 다음을 통해 상호작용할 수 있습니다 api.roboflow.com. 자연어 지침을 보내 생성하거나 편집할 수 있습니다 워크플로, 그런 다음 준비되면 게시할 수 있습니다. 모든 편집 내용은 직접 게시할 때까지 초안으로 저장됩니다.

인증은 다음을 통해 이루어집니다 API 키. 다음을 사용하면 범위 지정 API 키 와 폴더 제한을 사용하면 에이전트는 해당 폴더 범위 내의 워크플로와 모델에만 접근할 수 있으며, 폴더 밖에 있는 프로젝트는 볼 수 없습니다. 에이전트에게 워크스페이스 모델 목록을 요청하면 호출자가 이미 볼 수 있는 모델만 반환됩니다.

채팅

에이전트에게 메시지를 보내세요. 새 대화를 시작하거나 다음을 전달하여 기존 대화를 이어가세요 conversation_id.

Chat with the agent

post

Send a message to the agent. The agent can create new Workflows, edit existing ones, and answer questions about your workspace. Workflow changes are saved as drafts. Requires the workflow:create and workflow:update scopes.

Path parameters
workspacestringRequired

Workspace URL slug.

Example: my-workspace
Body
api_keystringRequired

Workspace API key.

messagestringRequired

The instruction or question for the agent.

Example: Build me a workflow that detects cars and counts them
conversation_idstringOptional

ID of an existing conversation to continue. Omit to start a new conversation.

Example: conv_xyz789
modestring · enumOptional

agent (default) makes changes. In plan mode the agent outlines what it would do without making changes.

Default: agentPossible values:
Responses
200

The agent's reply.

application/json
textstringOptional

The agent's response text.

Example: I created a workflow called 'Car Counter' that detects and counts cars.
conversation_idstringOptional

The conversation ID. Pass it back in later requests to continue the conversation.

Example: conv_xyz789
post/{workspace}/agent/chat
POST /{workspace}/agent/chat HTTP/1.1
Host: api.roboflow.com
Content-Type: application/json
Accept: */*
Content-Length: 131

{
  "api_key": "text",
  "message": "Build me a workflow that detects cars and counts them",
  "conversation_id": "conv_xyz789",
  "mode": "agent"
}
{
  "text": "I created a workflow called 'Car Counter' that detects and counts cars.",
  "workflows": [
    {
      "id": "wf_abc123",
      "name": "Car Counter",
      "url": "car-counter",
      "specification": {}
    }
  ],
  "conversation_id": "conv_xyz789"
}

워크플로 게시

에이전트가 생성하거나 편집한 워크플로의 최신 초안을 배포합니다.

Publish a Workflow

post

Deploy the latest draft version of a Workflow that the agent created or edited. Returns 400 if there is no unpublished draft. Requires the workflow:update scope.

Path parameters
workspacestringRequired

Workspace URL slug.

Example: my-workspace
workflowUrlstringRequired

Workflow URL slug.

Example: car-counter
Query parameters
api_keystringRequired

Workspace API key.

Responses
200

The draft was published.

application/json
workflowIdstringOptionalExample: wf_abc123
workflowUrlstringOptionalExample: car-counter
versionIdstringOptionalExample: v-1700000000
statusstringOptionalExample: published
post/{workspace}/agent/workflows/{workflowUrl}/publish
POST /{workspace}/agent/workflows/{workflowUrl}/publish?api_key=text HTTP/1.1
Host: api.roboflow.com
Accept: */*
{
  "workflowId": "wf_abc123",
  "workflowUrl": "car-counter",
  "versionId": "v-1700000000",
  "status": "published"
}

대화 목록

List conversations

get

Return all agent conversations in the workspace. Requires the workflow:read scope.

Path parameters
workspacestringRequired

Workspace URL slug.

Example: my-workspace
Query parameters
api_keystringRequired

Workspace API key.

sourcestring · enumOptional

Filter by origin: api or web.

Possible values:
workflowstringOptional

Filter by Workflow URL slug. Only returns conversations that reference this Workflow.

Responses
200

The workspace's conversations.

application/json
get/{workspace}/agent/conversations
GET /{workspace}/agent/conversations?api_key=text HTTP/1.1
Host: api.roboflow.com
Accept: */*
{
  "conversations": [
    {
      "id": "conv_xyz789",
      "name": "Car Counter",
      "source": "api",
      "workflowIds": [
        "wf_abc123"
      ],
      "created_on": "2026-05-14T20:00:00.000Z",
      "updated_on": "2026-05-14T20:05:00.000Z"
    }
  ]
}

대화 가져오기

Get a conversation

get

Return the full conversation including all messages. Requires the workflow:read scope.

Path parameters
workspacestringRequired

Workspace URL slug.

Example: my-workspace
idstringRequired

Conversation ID.

Example: conv_xyz789
Query parameters
api_keystringRequired

Workspace API key.

Responses
200

The conversation with its messages.

application/json
idstringOptionalExample: conv_xyz789
namestringOptionalExample: Car Counter
sourcestring · enumOptional

Where the conversation started: api or web.

Example: apiPossible values:
workflowIdsstring[]Optional

IDs of Workflows referenced by the conversation.

Example: ["wf_abc123"]
created_onstring · date-timeOptionalExample: 2026-05-14T20:00:00.000Z
updated_onstring · date-timeOptionalExample: 2026-05-14T20:05:00.000Z
typestringOptionalExample: agent
get/{workspace}/agent/conversations/{id}
GET /{workspace}/agent/conversations/{id}?api_key=text HTTP/1.1
Host: api.roboflow.com
Accept: */*
{
  "id": "conv_xyz789",
  "name": "Car Counter",
  "source": "api",
  "workflowIds": [
    "wf_abc123"
  ],
  "created_on": "2026-05-14T20:00:00.000Z",
  "updated_on": "2026-05-14T20:05:00.000Z",
  "type": "agent",
  "messages": [
    {
      "id": "msg_1",
      "role": "user",
      "parts": [
        {
          "type": "text",
          "text": "Build me a workflow that detects cars"
        }
      ]
    }
  ]
}

MCP 서버

AI 에이전트를 다음에 연결하면 MCP 서버 다음 도구를 사용해 Roboflow Agent에 작업을 넘길 수 있습니다:

도구
설명

agent_chat

Roboflow AI 에이전트와 채팅합니다.

agent_chat_result

아직 진행 중이던 실행의 결과를 수집합니다.

agent_conversations_list

워크스페이스의 에이전트 대화를 나열합니다.

agent_conversation_get

메시지 기록이 포함된 대화 하나를 가져옵니다.

agent_workflow_publish

에이전트가 편집한 워크플로의 최신 초안을 게시합니다.

마지막 업데이트

도움이 되었나요?